%define upstream_name pyXMLSecurity
%define lc_upstream_name pyxmlsecurity

Name:           python-%{lc_upstream_name}
Version:        0.20
Release:        %mkrel 3
Summary:        Pure Python XML Security
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/pyxmlsecurity/
Source0:        https://files.pythonhosted.org/packages/d8/14/2fe830439c907e271c11bf0d2142af141672f037f2535ab6c219c1d71a36/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This is a python implementation of XML-Security - XML-DSIG only right now.
There are no dependencies except lxml and pyca/cryptography currently.

%package -n     python3-%{lc_upstream_name}
Summary:        Pure Python XML Security
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(nose)
%{?python_provide:%python_provide python3-%{lc_upstream_name}}

%description -n python3-%{lc_upstream_name}
This is a python implementation of XML-Security - XML-DSIG only right now.
There are no dependencies except lxml and pyca/cryptography currently.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{lc_upstream_name}
%doc README.rst
%{_bindir}/xmlsign
%{_bindir}/xmlverify
%{python3_sitelib}/xmlsec
%{python3_sitelib}/pyXMLSecurity-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 0.20-3.mga8
+ Revision: 1608304
- rebuild for removing pythonegg buildrequires in srpm

* Mon Feb 17 2020 umeabot <umeabot> 0.20-2.mga8
+ Revision: 1537691
- Mageia 8 Mass Rebuild

* Thu Nov 07 2019 guillomovitch <guillomovitch> 0.20-1.mga8
+ Revision: 1458665
- new version 0.20

* Tue Sep 24 2019 tv <tv> 0.19-2.mga8
+ Revision: 1445465
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.19-1.mga8
+ Revision: 1417152
- imported package python-pyxmlsecurity

